Subject: Re: [PATCH] [v7] net: emac: emac gigabit ethernet controller driver

From: Timur Tabi <[email-masked]>
Date: Thu, 11 Aug 2016 10:10:45 -0500

Timur Tabi wrote:
>
> The hang occurs with this loop in napi_disable():
>
>      while (test_and_set_bit(NAPI_STATE_SCHED, &n->state))
>          msleep(1);
>
> This loop never exits.  Can you give me a clue as to what could be the
> reason?

I figured it out.  I cannot call napi_disable() twice in a row.  It's 
not smart enough to know that NAPI is already disabled.

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm
Technologies, Inc.  Qualcomm Technologies, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.